<!-------------------------------------------------------------------------------
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 -------------------------------------------------------------------------------->

<app-settings-side-menu
  [appForAdmin]="true">
</app-settings-side-menu>

<app-side-menu-status *appSideMenu="'center'"
                      [appLoadingMessage]="'core.loading' | translate"
                      [appLoading]="loading$ | async">
</app-side-menu-status>

<ng-container *appSideMenu="'bottom'">
  <app-action-button (appClick)="save()" [appIcon]="'publish'" class="openk-info openk-success side-menu-button">
    {{"settings.documents.save" | translate}}
  </app-action-button>
</ng-container>

<div class="title">
  <span class="title--label">
    {{"settings.title" | translate}} - {{"settings.documents.title" | translate}}
  </span>
</div>

<app-collapsible
  [appTitle]="'settings.documents.tags.title' | translate"
  class="document-container">

  <div style="padding: 1em;">

    <div class="add-tag">
      <span class="add-tag--title">{{"settings.documents.tags.tag" | translate}}</span>
      <input #inputElement
             (keydown.enter)="addTag(inputElement.value); inputElement.value = '';"
             [placeholder]="'settings.documents.tags.placeholder' | translate"
             [disabled]="loading$| async"
             class="openk-input add-tag--input"/>

      <button (click)="addTag(inputElement.value); inputElement.value = '';"
              [disabled]="loading$| async"
              class="openk-button openk-button-icon list-select--button add-tag--btn">
        <mat-icon>add</mat-icon>
      </button>

    </div>

    <app-list (appDelete)="deleteTag($event)"
              (appRestore)="restoreTag($event)"
              [appListItems]="tagList"
              [appTitle]="'settings.documents.tags.listTitle' | translate"
              [appIsDeletable]="true"
              [appEnableRestore]="true">
    </app-list>
  </div>
</app-collapsible>

<app-collapsible
  [appTitle]="'settings.documents.types.title' | translate"
  class="document-container">

  <div style="padding: 1em;">

    <div class="add-tag">
      <span class="add-tag--title">{{"settings.documents.types.title" | translate}}</span>
      <input #inputElementType
             (keydown.enter)="addType(inputElementType.value); inputElementType.value = '';"
             [placeholder]="'settings.documents.types.placeholder' | translate"
             [disabled]="loading$| async"
             class="openk-input add-tag--input"/>

      <button (click)="addType(inputElementType.value); inputElementType.value = '';"
              [disabled]="loading$| async"
              class="openk-button openk-button-icon list-select--button add-tag--btn">
        <mat-icon>add</mat-icon>
      </button>

    </div>

    <app-list (appDelete)="deleteType($event)"
              (appRestore)="restoreType($event)"
              [appListItems]="typeList"
              [appTitle]="'settings.documents.types.listTitle' | translate"
              [appIsDeletable]="true"
              [appEnableRestore]="true">
    </app-list>
  </div>

</app-collapsible>

